using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Enums
{
    [EnumDescription("¾¹²ÊÍ¶×¢ºÅÂëÀàÐÍ")]
    public enum JcCodeTypeEnum
    {
        [EnumDescription("µ¥¹Ø")]
        DanGuan=1001,
        [EnumDescription("2´®1")]
        Type2C1=2001,
        [EnumDescription("3´®1")]
        Type3C1=3001,
        [EnumDescription("3´®3")]
        Type3C3 = 3003,
        [EnumDescription("3´®4")]
        Type3C4 = 3004,
        [EnumDescription("4´®1")]
        Type4C1 = 4001,
        [EnumDescription("4´®4")]
        Type4C4 = 4004,
        [EnumDescription("4´®5")]
        Type4C5 = 4005,
        [EnumDescription("4´®6")]
        Type4C6 = 4006,
        [EnumDescription("4´®11")]
        Type4C11 = 4011,
        [EnumDescription("5´®1")]
        Type5C1 = 5001,
        [EnumDescription("5´®5")]
        Type5C5 = 5005,
        [EnumDescription("5´®6")]
        Type5C6 = 5006,
        [EnumDescription("5´®10")]
        Type5C10 = 5010,
        [EnumDescription("5´®16")]
        Type5C16 = 5016,
        [EnumDescription("5´®20")]
        Type5C20 = 5020,
        [EnumDescription("5´®26")]
        Type5C26 = 5026,
        [EnumDescription("6´®1")]
        Type6C1 = 6001,
        [EnumDescription("6´®6")]
        Type6C6 = 6006,
        [EnumDescription("6´®7")]
        Type6C7 = 6007,
        [EnumDescription("6´®15")]
        Type6C15 = 6015,
        [EnumDescription("6´®20")]
        Type6C20 = 6020,
        [EnumDescription("6´®22")]
        Type6C22= 6022,
        [EnumDescription("6´®35")]
        Type6C35 = 6035,
        [EnumDescription("6´®42")]
        Type6C42 = 6042,
        [EnumDescription("6´®50")]
        Type6C50 = 6050,
        [EnumDescription("6´®57")]
        Type6C57 = 6057,
        [EnumDescription("7´®1")]
        Type7C1 = 7001,
        [EnumDescription("7´®7")]
        Type7C7 = 7007,
        [EnumDescription("7´®8")]
        Type7C8 = 7008,
        [EnumDescription("7´®21")]
        Type7C21 = 7021,
        [EnumDescription("7´®35")]
        Type7C35 = 7035,
        [EnumDescription("7´®120")]
        Type7C120 = 7120,
        [EnumDescription("8´®1")]
        Type8C1 = 8001,
        [EnumDescription("8´®8")]
        Type8C8 = 8008,
        [EnumDescription("8´®9")]
        Type8C9 = 8009,
        [EnumDescription("8´®28")]
        Type8C28 = 8028,
        [EnumDescription("8´®56")]
        Type8C56 = 8056,
        [EnumDescription("8´®70")]
        Type8C70 = 8070,
        [EnumDescription("8´®247")]
        Type8C247 = 8247
    }
    /// <summary>
    /// ºÅÂëÀàÐÍ
    ///µ¥¹Ø 2´®1 2´®3 3´®1 3´®2 3´®4 3´®7 4´®1 4´®5 4´®11 4´®15 5´®1 5´®6 5´®16 5´®26 5´®31 
    ///6´®1 6´®7 6´®22 6´®42 6´®57 6´®63 7´®1 8´®1 9´®1 10´®1 11´®1 12´®1 13´®1 14´®1 15´®1
    /// </summary>
    [EnumDescription("±±µ¥Í¶×¢ºÅÂëÀàÐÍ")]
    public enum BdCodeTypeEnum
    {
        [EnumDescription("µ¥¹Ø")]
        DanGuan = 1001,
        [EnumDescription("2´®1")]
        Type2C1 = 2001,
        [EnumDescription("2´®3")]
        Type2C3 = 2003,
        [EnumDescription("3´®1")]
        Type3C1 = 3001,
        [EnumDescription("3´®2")]
        Type3C2 = 3002,
        [EnumDescription("3´®4")]
        Type3C4 = 3004,
        [EnumDescription("3´®7")]
        Type3C7 = 3007,
        [EnumDescription("4´®1")]
        Type4C1 = 4001,
        [EnumDescription("4´®5")]
        Type4C5 = 4005,
        [EnumDescription("4´®11")]
        Type4C11 = 4011,
        [EnumDescription("5´®1")]
        Type5C1 = 5001,
        [EnumDescription("5´®6")]
        Type5C6 = 5006,
        [EnumDescription("5´®26")]
        Type5C26 = 5026,
        [EnumDescription("5´®31")]
        Type5C31 = 5031,
        [EnumDescription("6´®1")]
        Type6C1 = 6001,
        [EnumDescription("6´®7")]
        Type6C7 = 6007,
        [EnumDescription("6´®22")]
        Type6C22 = 6022,
        [EnumDescription("6´®42")]
        Type6C42 = 6042,
        [EnumDescription("6´®57")]
        Type6C57 = 6057,
        [EnumDescription("6´®63")]
        Type6C63 = 6063,
        [EnumDescription("7´®1")]
        Type7C1 = 7001,
        [EnumDescription("8´®1")]
        Type8C1 = 8001,
        [EnumDescription("9´®1")]
        Type9C1 = 9001,
        [EnumDescription("10´®1")]
        Type10C1 = 10001,
        [EnumDescription("11´®1")]
        Type11C1 = 11001,
        [EnumDescription("12´®1")]
        Type12C1 = 12001,
        [EnumDescription("13´®1")]
        Type13C1 = 13001,
        [EnumDescription("14´®1")]
        Type14C1 = 14001,
        [EnumDescription("15´®1")]
        Type15C1 = 15001
    }
}
